solved mod_security May be blocking Promoxima

serveion
@serveion
3 years ago
223 posts
hello
proxima is not working we getting error show bellow
[ip - - [19/Dec/2019:18:38:27 -0500] "GET /tracks/1008/_self/_self/_self/p=3 HTTP/1.1" 200 10315 "-" "Mozilla/5.0 (compatible; SemrushBot/6~bl; +http://www.semrush.com/bot.html)"
ip - - [19/Dec/2019:18:39:28 -0500] "GET /nicky-jam/youtube/2078/finalista-jesus-vega-castro-concurso-travesuras-nicky-jam HTTP/1.1" 200 10609 "-" "Mozilla/5.0 (compatible; SemrushBot/6~bl; +http://www.semrush.com/bot.html)"

2019/12/19 18:59:01 [error] 2134#2134: *42570 connect() failed (111: Connection refused) while connecting to upstream, client: ip, server: domain.com, request: "GET /chart/_self/_self/p=8 HTTP/1.1", upstream: "http://domain.com:8181/chart/_self/_self/p=8", host: "domain.com"
2019/12/19 19:00:53 [error] 2134#2134: *42585 connect() failed (111: Connection refused) while connecting to upstream, client: ip, server: domain.com, request: "GET /youtube/1849/_self/_self/p=2 HTTP/1.1", upstream: "http://domain.com:8181/youtube/1849/_self/_self/p=2", host: "domain.com"

updated by @serveion: 23 Mar 2020 08:58:17PM
serveion
@serveion
3 years ago
223 posts
Im trying to configure OWASP ModSecurity in cwp i ask the developer team to help me with im new to this panel and configure everything is a pain. i will update when they give me a solution to this problem

OWASP ModSecurity is not allow. http method
The HTTP Method used would correspond to the ACTION you wish to perform:

POST - Used to CREATE an item
GET - Used to retrieve an individual item as well as list and search items
PUT - Used to UPDATE an existing item
DELETE - Used to DELETE an existing item
serveion
@serveion
3 years ago
223 posts
in case what server configuration im running in cwp

Nginx & Varnish & Apache ([Varnish Conf])
Additional Options: php-cgi/suphp, nginx/php-fpm, apache/php-fpm, proxy, varnish cache
HTTP: Nginx (80) --> Varnish (82) --> Apache (8181)
HTTPS: Nginx (443) --> Varnish (82) --> Apache (8181)
** By default this will enable Nginx&Apache for all domains while Varnish you can enable additionally for domains you need.
serveion
@serveion
3 years ago
223 posts
im still invastigating why jamroom proxima dont allow the key with get a 401 error

C:\Users\computer> curl --header "X-Authorization: Basic cFBtcmsZndkNlRxQzpwUG1yazRaUHZmd2Q2VHFD" https://domain/api/bridge/tracks/search
{"code":401,"text":"Unauthorized","note":"invalid application key"}
C:\Users\Computer>
serveion
@serveion
3 years ago
223 posts
found the problem php_auth_user pass problems. disable nginx hard to configure when transfering from cpanel to cwp.

Tags